> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Define Contribution Strategy

> Defines a contribution strategy for a given plan.



## OpenAPI

````yaml post /plan_configurations/{public_id}/contribution_strategy
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /plan_configurations/{public_id}/contribution_strategy:
    post:
      tags:
        - plans
      description: Defines a contribution strategy for a given plan.
      operationId: plan_contributions_strategy_create
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlanContributionStrategy'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PlanContributionStrategy'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PlanContributionStrategy'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanContributionStrategy'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PlanContributionStrategy:
      type: object
      properties:
        member:
          $ref: '#/components/schemas/ContributionStrategy'
        member_spouse:
          $ref: '#/components/schemas/ContributionStrategy'
        member_child:
          $ref: '#/components/schemas/ContributionStrategy'
        member_children:
          $ref: '#/components/schemas/ContributionStrategy'
        member_family:
          $ref: '#/components/schemas/ContributionStrategy'
      required:
        - member
        - member_child
        - member_children
        - member_family
        - member_spouse
    ContributionStrategy:
      type: object
      properties:
        contribution_type:
          $ref: '#/components/schemas/ContributionTypeEnum'
        contribution:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        monthly_min_threshold:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
        monthly_max_threshold:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
          nullable: true
      required:
        - contribution
        - contribution_type
    ContributionTypeEnum:
      enum:
        - member_cost
        - employer_cost
        - employer_percentage
        - flat_employer_cost
        - flat_employer_percentage
        - employer_match
        - member_income_percentage
      type: string
      description: |-
        * `member_cost` - Member Cost
        * `employer_cost` - Employer Cost
        * `employer_percentage` - Employer Percentage
        * `flat_employer_cost` - Flat Employer Cost
        * `flat_employer_percentage` - Flat Employer Percentage
        * `employer_match` - Employer Match
        * `member_income_percentage` - Member Income Percentage
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````